.. _mmctl_config:

mmctl config
------------

Configuration

Synopsis
~~~~~~~~


Configuration

Options
~~~~~~~

::

  -h, --help   help for config

Options inherited from parent commands
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

::

      --config string                path to the configuration file (default "$XDG_CONFIG_HOME/mmctl/config")
      --disable-pager                disables paged output
      --insecure-sha1-intermediate   allows to use insecure TLS protocols, such as SHA-1
      --insecure-tls-version         allows to use TLS versions 1.0 and 1.1
      --json                         the output format will be in json format
      --local                        allows communicating with the server through a unix socket
      --quiet                        prevent mmctl to generate output for the commands
      --strict                       will only run commands if the mmctl version matches the server one
      --suppress-warnings            disables printing warning messages

SEE ALSO
~~~~~~~~

* `mmctl <mmctl.rst>`_ 	 - Remote client for the Open Source, self-hosted Slack-alternative
* `mmctl config edit <mmctl_config_edit.rst>`_ 	 - Edit the config
* `mmctl config export <mmctl_config_export.rst>`_ 	 - Export the server configuration
* `mmctl config get <mmctl_config_get.rst>`_ 	 - Get config setting
* `mmctl config migrate <mmctl_config_migrate.rst>`_ 	 - Migrate existing config between backends
* `mmctl config patch <mmctl_config_patch.rst>`_ 	 - Patch the config
* `mmctl config reload <mmctl_config_reload.rst>`_ 	 - Reload the server configuration
* `mmctl config reset <mmctl_config_reset.rst>`_ 	 - Reset config setting
* `mmctl config set <mmctl_config_set.rst>`_ 	 - Set config setting
* `mmctl config show <mmctl_config_show.rst>`_ 	 - Writes the server configuration to STDOUT
* `mmctl config subpath <mmctl_config_subpath.rst>`_ 	 - Update client asset loading to use the configured subpath

